<template>
    <div class="row wrapper border-bottom white-bg page-heading">
        <div class="col-sm-12">
            <h2 v-if="title">{{title}}</h2>
            <ol class="breadcrumb">
                <li v-for="(page, index) in pages" :key="index" :class="page.active ? 'active':''">
                    <router-link :to="{name: page.link}" v-if="page.active"><strong>{{page.name}}</strong></router-link>
                    <router-link :to="{name: page.link}" v-else>{{page.name}}</router-link>
                </li>
            </ol>
        </div>
    </div>
</template>

<script>
    export default {
        props: {
            title: {
                require: false,
                default: null
            },

            pages: {
                require: true,
                type: Object | Array
            },

            active: {
                require: true,
                type: Boolean
            }
        }
    }
</script>